Change log for mew package in Ubuntu

133 of 33 results
Published in disco-release on 2018-11-28
Deleted in disco-proposed (Reason: moved to release)
mew (1:6.8-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Tatsuya Kinoshita ]
  * Check stamp file so that source file isn't newer
  * Add sensible-utils to Suggests
  * Update debian/watch to https
  * Update Standards-Version to 4.2.1
  * Set mew-delete-temp-file to nil in emacsen-startup

 -- Tatsuya Kinoshita <email address hidden>  Tue, 27 Nov 2018 00:04:27 +0900

Available diffs

Superseded in disco-release on 2018-11-28
Published in cosmic-release on 2018-06-22
Deleted in cosmic-proposed (Reason: moved to release)
mew (1:6.8-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass --host to ./configure (closes: #902040)

 -- Tatsuya Kinoshita <email address hidden>  Fri, 22 Jun 2018 21:11:20 +0900

Available diffs

Superseded in cosmic-release on 2018-06-22
Deleted in cosmic-proposed on 2018-06-24 (Reason: moved to release)
mew (1:6.8-1) unstable; urgency=medium

  * New upstream version 6.8
  * Drop 060_stunnel.patch
  * Drop 050_soffice.patch
  * Drop 040_gpg2.patch
  * Explicitly prefer gpg2 in emacsen-startup
  * Handle symlinks for emacsen-startup
  * Update debian/copyright

 -- Tatsuya Kinoshita <email address hidden>  Thu, 07 Jun 2018 21:01:59 +0900

Available diffs

Superseded in cosmic-release on 2018-06-07
Deleted in cosmic-proposed on 2018-06-09 (Reason: moved to release)
mew (1:6.7-6) unstable; urgency=medium

  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x

 -- Tatsuya Kinoshita <email address hidden>  Sun, 03 Jun 2018 19:16:04 +0900

Available diffs

Superseded in cosmic-release on 2018-06-03
Deleted in cosmic-proposed on 2018-06-05 (Reason: moved to release)
mew (1:6.7-5) unstable; urgency=medium

  * New patch 060_stunnel.patch to support stunnel 5.45
  * Don't recommend hyperestraier (closes: #895069)
  * Update debhelper compat version to 11
  * Drop emacs21
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <email address hidden>  Mon, 28 May 2018 22:26:01 +0900

Available diffs

Superseded in cosmic-release on 2018-05-29
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
mew (1:6.7-4) unstable; urgency=medium

  * New patch 050_soffice.patch to use soffice instead of ooffice
  * Prefer emacs-nox over emacs
  * Update debhelper compat version to 9
  * Update debian/copyright

 -- Tatsuya Kinoshita <email address hidden>  Sat, 14 Jan 2017 11:40:10 +0900

Available diffs

Superseded in zesty-release on 2017-01-14
Deleted in zesty-proposed on 2017-01-15 (Reason: moved to release)
mew (1:6.7-3) unstable; urgency=medium

  * Suggest gnupg | gnupg2 | gnupg1
  * Explicitly prefer gpg1 in emacsen-startup

 -- Tatsuya Kinoshita <email address hidden>  Sat, 15 Oct 2016 18:51:14 +0900

Available diffs

Superseded in zesty-release on 2016-11-04
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
mew (1:6.7-1) unstable; urgency=medium

  * Imported Upstream version 6.7
  * Drop 060_encrypt.patch (merged upstream)
  * Drop 050_bashism.patch (merged upstream)
  * Drop 040_Increase-mew-header-reasonable-size.patch (merged upstream)
  * Update mewstunnel to mention stunnel 5.x is provided by stunnel4
  * Update debian/copyright

 -- Tatsuya Kinoshita <email address hidden>  Tue, 04 Aug 2015 20:29:20 +0900

Available diffs

Superseded in wily-release on 2015-08-05
Deleted in wily-proposed on 2015-08-06 (Reason: moved to release)
mew (1:6.6-3) unstable; urgency=medium

  * New patch 050_bashism.patch to fix bashism in mewest (closes: #772312)
  * New patch 060_encrypt.patch to fix incorrect keys in encryption
  * Update debian/copyright
  * Update Vcs-Browser
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <email address hidden>  Fri, 08 May 2015 10:39:36 +0900

Available diffs

Superseded in wily-release on 2015-05-08
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
mew (1:6.6-2) unstable; urgency=medium


  * Depend on emacsen-common 2.0.8

 -- Tatsuya Kinoshita <email address hidden>  Wed, 20 Aug 2014 19:38:59 +0900

Available diffs

Superseded in vivid-release on 2014-10-25
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
mew (1:6.6-1) unstable; urgency=medium


  * Imported Upstream version 6.6
  * Drop 070_stunnel5.patch (merged upstream)
  * Drop 040_Define-mew-regex-url-in-mew-lang-jp.patch (merged upstream)
  * Drop 030_Use-auth-user-for-smtp-passtag.patch (merged upstream)
  * Drop 020_Fix-segfault-of-mewl.patch (merged upstream)
  * Update 050_Use-ppmtogif.patch to 020_netpbm.patch
  * Update 060_cache-long-scans.patch to 030_*
  * Update debian/copyright
  * New patch 040_Increase-mew-header-reasonable-size.patch
  * Do not fail when 00changes is not found

 -- Tatsuya Kinoshita <email address hidden>  Mon, 19 May 2014 22:20:36 +0900

Available diffs

Superseded in utopic-release on 2014-05-20
Deleted in utopic-proposed on 2014-05-21 (Reason: moved to release)
mew (1:6.5-8) unstable; urgency=medium


  * New patch 070_stunnel5.patch to support stunnel 5.x
  * Drop ruby-interpreter from ruby | ruby-interpreter
  * Install a compat file with emacsen-compat
  * Handle an installed file to follow emacsen-common 2.0.7
  * Add emacsen-common (<< 2.0.0) to Conflicts
  * Update debian/copyright

 -- Tatsuya Kinoshita <email address hidden>  Sat, 12 Apr 2014 00:40:16 +0900

Available diffs

Superseded in utopic-release on 2014-04-26
Published in trusty-release on 2013-12-26
Deleted in trusty-proposed (Reason: moved to release)
mew (1:6.5-7) unstable; urgency=low


  * New patch 060_cache-long-scans.patch due to emacs-snapshot crash
  * Workaround for emacsen-common <2 and debhelper <9.20131104

 -- Tatsuya Kinoshita <email address hidden>  Thu, 26 Dec 2013 22:41:45 +0900

Available diffs

Superseded in trusty-release on 2013-12-26
Deleted in trusty-proposed on 2013-12-28 (Reason: moved to release)
mew (1:6.5-6) unstable; urgency=low


  * Add workaround to compatible with emacsen-common <2.0.0

 -- Tatsuya Kinoshita <email address hidden>  Sun, 08 Dec 2013 15:15:34 +0900

Available diffs

Superseded in trusty-release on 2013-12-08
Deleted in trusty-proposed on 2013-12-09 (Reason: moved to release)
mew (1:6.5-5) unstable; urgency=low


  * New patch 050_Use-ppmtogif.patch
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <email address hidden>  Sun, 01 Dec 2013 23:39:44 +0900

Available diffs

Superseded in trusty-release on 2013-12-02
Deleted in trusty-proposed on 2013-12-03 (Reason: moved to release)
mew (1:6.5-4) unstable; urgency=low


  * Replace libsqlite3-ruby by ruby-sqlite3 (closes: #726746)

 -- Tatsuya Kinoshita <email address hidden>  Sat, 19 Oct 2013 14:35:26 +0900

Available diffs

Superseded in trusty-release on 2013-10-23
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
mew (1:6.5-3) unstable; urgency=low


  * New patch 030_Use-auth-user-for-smtp-passtag.patch
  * New patch 040_Define-mew-regex-url-in-mew-lang-jp.patch
  * Set Homepage to http://www.mew.org/

 -- Tatsuya Kinoshita <email address hidden>  Sat, 22 Jun 2013 15:05:00 +0900

Available diffs

Superseded in saucy-release on 2013-06-25
Deleted in saucy-proposed on 2013-06-27 (Reason: moved to release)
mew (1:6.5-2) unstable; urgency=low


  * New patch 020_Fix-segfault-of-mewl.patch
  * Update Homepage to the /en/ page

 -- Tatsuya Kinoshita <email address hidden>  Fri, 31 May 2013 00:31:36 +0900

Available diffs

Superseded in saucy-release on 2013-05-31
Deleted in saucy-proposed on 2013-06-01 (Reason: moved to release)
mew (1:6.5-1) unstable; urgency=low


  * Imported Upstream version 6.5
  * Remove 070_stunnel453.patch (merged upstream)
  * Remove 060_cmew-blob.patch (merged upstream)
  * Remove 050_cmew.patch (merged upstream)
  * Remove 040_stunnel451.patch (merged upstream)
  * debian/copyright: Updated
  * Remove contrib from debian/dirs
  * Add Vcs-Git and Vcs-Browser
  * Update Standards-Version to 3.9.4

 -- Tatsuya Kinoshita <email address hidden>  Wed, 08 May 2013 00:47:35 +0900

Available diffs

Superseded in saucy-release on 2013-05-08
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
mew (1:6.4-3) unstable; urgency=low


  * debian/rules: Use dpkg-buildflags to support hardening flags
  * debian/control: Add emacs24 to Depends

 -- Tatsuya Kinoshita <email address hidden>  Sat, 07 Jul 2012 00:15:53 +0900

Available diffs

Superseded in raring-release on 2012-10-29
Obsolete in quantal-release on 2015-04-24
mew (1:6.4-2) unstable; urgency=low


  * debian/patches/060_cmew-blob.patch: New patch from upstream to prevent
    that Ruby 1.9 stores blob data into id.db.
  * debian/patches/070_stunnel453.patch: New patch to support stunnel 4.53
    from [mew-dist 29486] on 2012-03-28, provided by TAKANO Yuji.

 -- Tatsuya Kinoshita <email address hidden>  Sat, 31 Mar 2012 01:20:01 +0900

Available diffs

Superseded in quantal-release on 2012-05-01
Published in precise-release on 2011-10-17
mew (1:6.3-3) unstable; urgency=low

  * debian/patches/030_stunnel4.patch: Patch from upstream to catch up to
    stunnel 4.39.
  * debian/patches/020_ruby1.8.patch: Patch to use ruby1.8 instead of ruby.
  * debian/control:
    - Recommends ruby1.8 instead of ruby.
    - Update Standards-Version to 3.9.2.
  * debian/copyright: Switch to the DEP-5 format.
  * Switch to dpkg-source 3.0 (quilt) format.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 11:15:20 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
mew (1:6.3-2) unstable; urgency=low

  * debian/control:
    - Add `emacs-snapshot' to Depends.
    - Set Section of mew to lisp.
  * debian/copyright: Updated.

Available diffs

Superseded in lucid-release on 2010-01-18
Obsolete in karmic-release on 2013-03-04
mew (1:6.2-1ubuntu1) karmic; urgency=low

  * debian/control:
    - added alternative dependency on emacs-snapshot.

 -- Anselm Helbig <email address hidden>   Sat, 03 Oct 2009 15:13:42 +0200

Available diffs

Superseded in karmic-release on 2009-10-03
mew (1:6.2-1) unstable; urgency=low

  * New upstream release. (closes: #484937)
    - XEmacs is no longer supported.
    - Guarding broken UTF-7. (closes: #492428)
    - Implementing encoding of format=flowed.
  * debian/*: Merged from mew-beta.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  29 Apr 2009 12:04:06 +0100

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
mew (1:5.2-4) unstable; urgency=low

  * debian/mew-bin.postinst, debian/mew-bin.prerm: New files to provide
    an alternative for pinentry.
  * debian/control:
    - Move `Homepage:' from Description to the header.
    - Set Standards-Version to 3.7.3.
  * debian/copyright: Updated.
  * debian/README.Debian.in: Clarify the default configuration for mew-ssl.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:19:07 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
mew (1:5.2-3) unstable; urgency=low

  * debian/control: Prefer emacs to emacs21.
  * debian/rules (clean): Check whether Makefile exists.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  23 Oct 2007 17:44:59 +0100
Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
mew (1:5.2-2) unstable; urgency=medium

  * mew-pop.el: Preventing APOP attack. [CVE-2007-1558]
  * debian/emacsen-install.in: Rename path.el to __path.el.

Superseded in gutsy-release on 2007-04-27
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
mew (1:4.2-3) unstable; urgency=low

  * debian/emacsen-startup.in: Load `timer' on XEmacs to use `cancel-timer'.
    (closes: #372807)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  20 Jun 2006 07:49:30 +0100
Superseded in edgy-release on 2006-06-20
mew (1:4.2-2) unstable; urgency=low

  * debian/watch: Update URL.
  * debian/control: Suggests ca-certificates.
  * debian/copyright: Updated.
  * debian/control (Build-Depends): Depend on debhelper version 5.
  * debian/compat: 3 -> 5.
  * debian/control (Standards-Version): 3.6.1 -> 3.7.2.
  * debian/control (Maintainer): <email address hidden> -> <email address hidden>.
  * debian/copyright: Ditto.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  15 Jun 2006 15:02:42 +0100
Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
mew (1:4.2-1) unstable; urgency=low


  * New upstream release. (closes: #278643)
  * debian/control: Update dependency.
  * debian/control: Suggests namazu2-index-tools.
  * debian/README.Debian.in: Modify sample of mew-mbox-command-arg.
  * debian/emacsen-install.in: mew-nmz depends on w3m-namazu.
  * debian/emacsen-install.in: Ready for emacsen flavors sxemacs*.
  * debian/rules: Generate debian/docs, debian/examples and debian/info at
    build time.
  * debian/rules: Use the configure script.
  * debian/rules: Don't install contrib/*.texi.
  * debian/rules: Don't install `CVS' directories.
  * debian/watch: New file.
  * Ready for dpatch.

 -- Tatsuya Kinoshita <email address hidden>  Sat,  4 Jun 2005 14:40:08 +0900
Obsolete in hoary-release on 2008-03-19
mew (1:3.3+0.20040715-5) unstable; urgency=medium


  * bin/incm.c: Fix a format string bug which causes crashes from environment
    variable. (closes: #278883)
  * mew-ssl.el: Removing mew-timing() from the SSL code.
    (patch from Mew 4.1.50)
  * debian/emacsen-startup.in: Set the mew-prog-ssl variable to
    "/usr/sbin/stunnel4" if it is executable. (closes: #278735)
  * debian/README.Debian.in: Add information for mew-prog-ssl.
  * debian/control: Suggests `stunnel4'.

 -- Tatsuya Kinoshita <email address hidden>  Sat, 30 Oct 2004 17:49:56 +0900
Obsolete in warty-release on 2008-01-09
mew (1:3.3+0.20040512-1) unstable; urgency=low


  * New upstream release. (CVS snapshot, stable-3-2 branch on 2004-05-12
    at 22:39 +0900)
    - Fix that mewls fails when file size is zero.
  * debian/emacsen-startup.in: Set the mew-prog-ssl variable to
    "/usr/sbin/stunnel". (closes: #248466)
  * debian/control (Depends): Remove `emacs20'. (closes: #232772)
  * debian/emacsen-install.in: Create *.el symlinks.

 -- Tatsuya Kinoshita <email address hidden>  Wed, 12 May 2004 22:56:18 +0900
133 of 33 results